### Hierarchy

- Context

## Index

### Constructors

- constructor

### Properties

- annotation
- annotations
- argument
- argumentIndex
- argumentsDef
- config
- document
- enum
- enumValue
- enumValues
- enums
- field
- fieldIndex
- fields
- input
- inputs
- interface
- namespace
- object
- objects
- operation
- operations
- role
- roles
- union
- unions

### Methods

- clone
- parseDocument

## Constructors

### constructor

- new Context(config: ObjectMap<any>, document?: Document, other?: Context): Context

- - Defined in src/ast/visitor.ts:82

  #### Parameters

  - ##### config: ObjectMap<any>

  - ##### Optional document: Document

  - ##### Optional other: Context

  #### Returns Context

## Properties

### Optional annotation

annotation: AnnotationDefinition

- Defined in src/ast/visitor.ts:82

### Optional annotations

annotations: AnnotationDefinition[]

- Defined in src/ast/visitor.ts:81

### Optional argument

argument: InputValueDefinition

- Defined in src/ast/visitor.ts:71

### Optional argumentIndex

argumentIndex: number

- Defined in src/ast/visitor.ts:72

### Optional argumentsDef

argumentsDef: InputValueDefinition[]

- Defined in src/ast/visitor.ts:70

### config

config: ObjectMap<any>

- Defined in src/ast/visitor.ts:53

### Optional document

document: Document

- Defined in src/ast/visitor.ts:54

### Optional enum

enum: EnumDefinition

- Defined in src/ast/visitor.ts:76

### Optional enumValue

enumValue: EnumValueDefinition

- Defined in src/ast/visitor.ts:78

### Optional enumValues

enumValues: EnumValueDefinition[]

- Defined in src/ast/visitor.ts:77

### enums

enums: EnumDefinition[]

- Defined in src/ast/visitor.ts:61

### Optional field

field: FieldDefinition

- Defined in src/ast/visitor.ts:74

### Optional fieldIndex

fieldIndex: number

- Defined in src/ast/visitor.ts:75

### Optional fields

fields: FieldDefinition[]

- Defined in src/ast/visitor.ts:73

### Optional input

input: InputValueDefinition

- Defined in src/ast/visitor.ts:80

### inputs

inputs: InputValueDefinition[]

- Defined in src/ast/visitor.ts:63

### interface

interface: InterfaceDefinition

- Defined in src/ast/visitor.ts:58

### namespace

namespace: NamespaceDefinition

- Defined in src/ast/visitor.ts:57

### Optional object

object: ObjectDefinition

- Defined in src/ast/visitor.ts:67

### objects

objects: ObjectDefinition[]

- Defined in src/ast/visitor.ts:60

### Optional operation

operation: OperationDefinition

- Defined in src/ast/visitor.ts:69

### Optional operations

operations: OperationDefinition[]

- Defined in src/ast/visitor.ts:68

### Optional role

role: RoleDefinition

- Defined in src/ast/visitor.ts:66

### roles

roles: RoleDefinition[]

- Defined in src/ast/visitor.ts:59

### Optional union

union: UnionDefinition

- Defined in src/ast/visitor.ts:79

### unions

unions: UnionDefinition[]

- Defined in src/ast/visitor.ts:62

## Methods

### clone

- clone(__namedParameters: NamedParameters): Context

- - Defined in src/ast/visitor.ts:117

  #### Parameters

  - ##### __namedParameters: NamedParameters

  #### Returns Context

### Private parseDocument

- parseDocument(): void

- - Defined in src/ast/visitor.ts:159

  #### Returns void

Generated using TypeDoc